Skip to content

Index Rates

This utility function is used for managing index interest rates (for example, a rate that is pegged to the prime rate of the Fed). Index Interest Rates are set at the loan type level and can be used by loans associated with the loanTypeId. Index Interest Rates are only relevant to interest rates and not relevant to promo rates.

Index Interest Rate values can be updated with a new value with an effective date in the past. When a new Index Interest Rate value is set, the previous rate end date will be set to one calendar day before the new rate's effective date. If the new rate's effective date is in the past, the Peach system will replay all Active loans (to clarify, Active loans at the time of Index Interest Rate update) with the new Index Interest Rate value and re-accrue loans' interest.

Get index interest rates

Request

Security
oauth2(Required scopes: indexrates:list) or bearerAuth or apiKeyHeader
Path
loanTypeIdstring(AnyId)^ext-|^[A-Z][A-Z0-9]-[A-Z0-9]+-[A-Z0-9]+|^\d+$write-onlyrequired

The loan type identifier.

Query
fromDatestring, (date)

The from date of the index rate. Pass the same value in the fromDate and toDate if you need to get the index rate for a specific date.

toDatestring, (date)

The end date of the index rate. Pass the same value in the fromDate and toDate if you need to get the index rate for a specific date. If only a fromDate is specified, we assume no end date for the filter.

GET
/loan-types/{loanTypeId}/index-rates
curl -i -X GET \
  'https://sandboxapi.peach.finance/api/loan-types/{loanTypeId}/index-rates?fromDate=2019-08-24&toDate=2019-08-24' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Responses

Success

Bodyapplication/json
countintegerread-only

Total number of items in this result.

statusinteger

HTTP status code.

dataArray of objects(IndexRateResult)
Response
{ "count": 0, "status": 0, "data": [ { … } ] }